/* Copyright (C) 2003 Datapark corp. All rights reserved.
   Copyright (C) 2000-2002 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _DPS_DPSSEARCH_H
#define _DPS_DPSSEARCH_H

#include "dps_common.h"

#include "dps_agent.h"
#include "dps_alias.h"
#include "dps_boolean.h"
#include "dps_cache.h"
#include "dps_conf.h"
#include "dps_crc32.h"
#include "dps_hash.h"
#include "dps_db.h"
#include "dps_doc.h"
#include "dps_env.h"
#include "dps_execget.h"
#include "dps_guesser.h"
#include "dps_hrefs.h"
#include "dps_indexer.h"
#include "dps_log.h"
#include "dps_match.h"
#include "dps_mutex.h"
#include "dps_parsehtml.h"
#include "dps_parser.h"
#include "dps_proto.h"
#include "dps_robots.h"
#include "dps_sdp.h"
#include "dps_searchtool.h"
#include "dps_searchcache.h"
#include "dps_server.h"
#include "dps_sgml.h"
#include "dps_signals.h"
#include "dps_spell.h"
#include "dps_stopwords.h"
#include "dps_store.h"
#include "dps_synonym.h"
#include "dps_template.h"
#include "dps_textlist.h"
#include "dps_unicode.h"
#include "dps_uniconv.h"
#include "dps_unidata.h"
#include "dps_url.h"
#include "dps_utils.h"
#include "dps_vars.h"
#include "dps_word.h"
#include "dps_result.h"
#include "dps_wild.h"

#endif
